<?php

// Digital Shop version 3.0.4
// Copyright (C) 2008-2014 JF Nutbroek <jfnutbroek@gmail.com>
// See the included End User License Agreement (EULA)

// Determine screenwidth / viewport
$xsmall = false;
if (isset($_REQUEST['screenwidth'])) {
	if ($_REQUEST['screenwidth']=='up') {
		if ($_SESSION['screenwidth']==1280) {
			$_SESSION['screenwidth'] = 640;
		} else {
			$resolution = array(640,720,768,800,854,960,1024,1152,1280);
			 foreach ($resolution as $screen) {
				if ($screen > $_SESSION['screenwidth']) {
					$_SESSION['screenwidth'] = $screen;
					break;
				}
			}
		}
	} else {
		$_SESSION['screenwidth'] = intval($_REQUEST['screenwidth']);
	}
	if ($_SESSION['screenwidth']>=1280) {
		$_SESSION['screenwidth']=1280;
	} else if ($_SESSION['screenwidth']<=640) {
		$_SESSION['screenwidth']=640;
	}
	if ($set_shopwidth>0) {$_SESSION['screenwidth']=$set_shopwidth;}
}

// Determine table widths
$content_width = 1260;
$maintable_width = 860;
$maintablemargin = 80;
$iconsizepx = 96;
if (isset($_SESSION['screenwidth'])) {
	if ($_SESSION['screenwidth']<=640) {
		$xsmall=true;
		$content_width = $_SESSION['screenwidth'] - 20;
		$maintable_width = 406;
		$maintablemargin = 0;
		$menu_width = 112;
		$iconsizepx = 64;
		$tableformat = '3x4';
		$thumbsize = 80;
		$readmoremenu = 14;
	} else if ($_SESSION['screenwidth']>640 && $_SESSION['screenwidth']<=768) {
		$content_width = $_SESSION['screenwidth'] - 20;
		$maintable_width = $_SESSION['screenwidth'] - 246 - 4*39;
		$maintablemargin = 0;
		$menu_width = 112;
		$iconsizepx = 64;
		$tableformat = '3x4';
		$thumbsize = 80;
		$readmoremenu = 9;
	} else if ($_SESSION['screenwidth']>768 && $_SESSION['screenwidth']<=800) {
		$content_width = $_SESSION['screenwidth'] - 20;
		$maintable_width = $_SESSION['screenwidth'] - 246 - 4*39;
		$maintablemargin = 0;
		$menu_width = 112;
		$iconsizepx = 64;
		$tableformat = '3x4';
		$thumbsize = 80;
		$readmoremenu = 10;
	} else if ($_SESSION['screenwidth']>800 && $_SESSION['screenwidth']<1280) {
		$content_width = $_SESSION['screenwidth'] - 20;
		$maintable_width = $_SESSION['screenwidth'] - 286 - 4*39;
		$maintablemargin = 10;
		$menu_width = 152;
		$iconsizepx = 72;
		$tableformat = '4x4';
		$thumbsize = 120;
		$readmoremenu = 14;
	} else {
		$content_width = $_SESSION['screenwidth']-20;			
		$maintable_width = $_SESSION['screenwidth']-420;
		$readmoremenu = 17;
	}
}

// Clean up temporary directory
if ($temporary_url) {
	$tmp_dir = getcwd() . '/tmp';
	if ($dir = opendir($tmp_dir)) {
		while ($dirname = readdir($dir)) {
			if (substr($dirname,0,1) != '.' && is_dir(getcwd() . '/tmp/' . $dirname)) {
				if ($subdir = opendir($tmp_dir . '/'. $dirname)) {
					while ($filename = readdir($subdir)) {
						if (substr($filename, 0, 1) != '.' && (time()-filemtime($tmp_dir . '/'. $dirname . '/' . $filename))>($temporary_time*60)) {
							unlink($tmp_dir . '/'. $dirname . '/' .$filename);
							rmdir($tmp_dir . '/'. $dirname);
						}
					}
					closedir($subdir);
				}
			}
		}
		closedir($dir);
	}
}

// Enable shop transparency
if ($transparentshop)
	$shopcolor='transparent';
	
// Disable highlight
if (!$shophighlight)
	$highlightcolor='transparent';

// The page
header("Content-Type: text/html; charset=UTF-8");
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?><!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\"><html xmlns=\"http://www.w3.org/1999/xhtml\" lang=\"en\" xml:lang=\"en\">\n";
if (!$iframe)
	echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"inc/digitalshop.css\" />\n";
else
	echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"inc/digitalshopcms.css\" />\n";
echo "<link rel=\"alternate\" type=\"application/rss+xml\" href=\"$shopurl/rss.php\" title=\"$lang_75\" />\n";
if ($show_video)
	echo "<link href=\"$shopurl/inc/video-js/video-js.css\" rel=\"stylesheet\"><script src=\"$shopurl/inc/video-js/video.js\"></script>\n";
// Javascript
echo "<script type=\"text/javascript\" src=\"inc/digitalshop.js\"></script>\n";
if (isset($_SESSION['requirelogin']))
    echo "<script type=\"text/javascript\" src=\"inc/digitaladmin.js\"></script>\n";
echo "<title>$shopname</title>\n";
echo "<meta name=\"HandheldFriendly\" content=\"True\" />\n";
echo "<meta name=\"viewport\" content=\"width=device-width\" />\n";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=utf-8\" />\n";
echo "<meta name=\"description\" content=\"Digital Shop to purchase and download digital content\" />\n";
echo "<meta name=\"keywords\" content=\"downloads, purchase, buy, paypal, digital, digital shop\" />\n";
echo "<style type=\"text/css\">\n";
echo "body {\n";
if (!$iframe) {
	if ($transparentshop)
		echo " background-color : transparent;\n";
	else
		echo " background-color : $pagecolor;\n";
} else {
	echo " background-color : transparent;\n";
}
echo " color            : $textcolor;\n";
if ($background!='' && !$iframe && $enablebackground) {
	echo " background-image :url('$shopurl/$background'); \n";
}
echo "}\n";
echo ".contenttable {\n";
echo " color            : $textcolor;\n";
if (!$transparentshop)
	echo " background-color : $shopcolor;\n";
else
	echo " background-color : transparent;\n";
echo "}\n";
echo "a:link {\n";
echo " color            : $linkcolor;\n";	
echo "}\n";	
echo "a:visited {\n";
echo "color             : $linkcolor;\n";	
echo "}\n";
echo "</style>\n"; 

if (isset($_SESSION['emailto'])) {
    echo "</head><body onload=\"javascript: setTimeout('document.forms[0].submit();',3000);\">\n";  
} else if(!isset($_SESSION['screenwidth']) && !isset($_SESSION['requirelogin'])) {
	$parameters='';
	$show_home=true;
	$basename=basename($_SERVER['PHP_SELF']);
	foreach($_REQUEST as $key => $value) {
		$parameters .= htmlentities($key) . '=' . htmlentities($value) . '&';
		if ($key == 'id' || $key == 'p' || $key == 'category' || $key == 'showphotoalbum')
			$show_home=false;
	}
	if ($basename=='download.php' || $basename=='digitalcart.php' ||  $basename=='thankyou.php') {$show_home=false;}
	echo "<script language=\"javascript\" type=\"text/javascript\">\n";
	echo "var viewPortWidth;\n"; 
	echo "if (typeof window.innerWidth != 'undefined') {\n";
        echo "	viewPortWidth = window.innerWidth;\n";
	echo "} else if (typeof document.documentElement != 'undefined' && typeof document.documentElement.clientWidth != 'undefined' && document.documentElement.clientWidth != 0) {\n";
        echo "	viewPortWidth = document.documentElement.clientWidth;\n";
	echo "} else {\n";
        echo "	viewPortWidth = document.getElementsByTagName('body')[0].clientWidth;\n";
	echo "}\n";
	if ($show_home && $showhomepage) {
		echo "window.onload = function() {location.href='$shopurl/message.php?message=home&screenwidth=' + viewPortWidth;return false};\n";
	} else {
		echo "window.onload = function() {location.href='$shopurl/$basename?${parameters}screenwidth=' + viewPortWidth;return false};\n";
	}
	echo "</script></head><body>";
} else if (isset($_REQUEST['toggleview'])) {
	echo "<script language=\"javascript\" type=\"text/javascript\">\n";
	echo "window.onload = function() {location.href='$shopurl/digitalshop.php'};\n";
	echo "</script></head><body>";	
} else {
    echo "</head><body>\n"; 
}

echo "<div style='text-align: center;'>";

if (!$iframe) {

	echo "<table style=\"width : ${content_width}px;border : 0px;margin-left: auto;margin-right: auto;table-layout: fixed;\" cellspacing=\"0\" cellpadding=\"0\"><tr><td style=\"width : ${menu_width}px;vertical-align : top;\">\n";

	// Insert the menu
	require_once('inc/menu_left.php');

	echo "</td><td style=\"width : ${maintable_width}px;vertical-align : top;\">\n";
	topborder();

	// Main table
	echo "<table class=\"contenttable\" style=\"width : " . ($maintable_width-$maintablemargin) ."px;margin-left: auto;margin-right: auto;\"><tr><td style=\"text-align : center;vertical-align : middle;\">\n";

	// Header image
	if ($show_header) {
		echo "<table style=\"width : 100%;\"><tr><td style=\"text-align : center;\">\n";
		echo "<a href=\"message.php?message=home\"><img src=\"shopgfx/$headerimage\" style=\"border : 0px;padding-bottom : 10px;width : " . min(500,($maintable_width-(2*$maintablemargin))) . "px;\" alt=\"Header image\" /></a>\n";
		echo "</td></tr></table>\n";
	}
	
} else {

	// Build the menu
	if(!isset($_SESSION['menu'])) {
		$_SESSION['menu']=array();
		$querycat="SELECT DISTINCT category, subcat FROM digitalshop WHERE category!='' ORDER BY category, subcat";
		$resultcat=mysql_query($querycat);$maincatcreated=array();
		if ($resultcat && mysql_num_rows($resultcat)>0) {
			while ($rowcat=mysql_fetch_array($resultcat)) {
				if ($rowcat[subcat]=='') {
					$_SESSION['menu'][]=array($rowcat[category],"digitalshop.php?start=1&amp;category=" . $rowcat[category],0);
					$maincatcreated[]=$rowcat[category];
				} else {
					if (!in_array($rowcat[category],$maincatcreated)) {
						$_SESSION['menu'][]=array($rowcat[category],"digitalshop.php?start=1&amp;category=" . $rowcat[category],0);
						$_SESSION['menu'][]=array($rowcat[subcat],"digitalshop.php?start=1&amp;category=" . $rowcat[subcat],1);
						$maincatcreated[]=$rowcat[category];
					} else {
						$_SESSION['menu'][]=array($rowcat[subcat],"digitalshop.php?start=1&amp;category=" . $rowcat[subcat],1);
					}
				}
			}       
		}
	}

}

// Functions

function topborder($menu_header='') {
        global $shopcolor,$xsmall,$pagecolor;
        echo "<table style=\"border : 0px;width : 100%;\" cellspacing=\"0\" cellpadding=\"0\"><tr>\n";
        if ($menu_header!='') {
		if ($xsmall) {
			echo "<td>&nbsp;</td>\n";
			echo "<td style=\"background-color : $pagecolor;text-align : center;font-size : 10px;font-weight : bold;vertical-align : bottom;font-family : verdana;padding-bottom : 5px;\">$menu_header</td>\n";
			echo "<td>&nbsp;</td></tr>\n";		
		} else {
			echo "<td style=\"width : 39px;height : 39px;background-image : url('shopgfx/lt_header.gif');\">&nbsp;</td>\n";
			echo "<td style=\"background-image : url('shopgfx/tabletop_header.gif');text-align : center;font-size : 10px;font-weight : bold;vertical-align : bottom;font-family : verdana;padding-bottom : 5px;\">$menu_header</td>\n";
			echo "<td style=\"width : 39px;background-image : url('shopgfx/rt_header.gif');\">&nbsp;</td></tr>\n";
		}
	} else {
		if ($xsmall) {
			echo "<td>&nbsp;</td>\n";
			echo "<td style=\"background-color : $shopcolor\">&nbsp;</td>\n";
			echo "<td>&nbsp;</td></tr>\n";
		} else {
			echo "<td style=\"width : 39px;height : 39px;background-image : url('shopgfx/lt.gif');\">&nbsp;</td>\n";
			echo "<td style=\"background-image : url('shopgfx/tabletop.gif');\">&nbsp;</td>\n";
			echo "<td style=\"width : 39px;background-image : url('shopgfx/rt.gif');\">&nbsp;</td></tr>\n";
		}
        }
	if ($xsmall)
		echo "<tr><td>&nbsp;</td>\n";
	else
		echo "<tr><td style=\"background-image : url('shopgfx/tableleft.gif');\">&nbsp;</td>\n";
        echo "<td style=\"text-align : center;background-color : $shopcolor\">\n";           
}

function bottomborder() {
	global $xsmall;
	if ($xsmall) {
		echo "</td><td>&nbsp;</td></tr>\n";
		echo "<tr><td>&nbsp;</td>\n";
		echo "<td>&nbsp;</td>\n";
		echo "<td>&nbsp;</td>\n";	
	} else {
		echo "</td><td style=\"background-image : url('shopgfx/tableright.gif');\">&nbsp;</td></tr>\n";
		echo "<tr><td style=\"height : 39px;background-image : url('shopgfx/lb.gif');\">&nbsp;</td>\n";
		echo "<td style=\"background-image : url('shopgfx/tablebottom.gif');\">&nbsp;</td>\n";
		echo "<td style=\"background-image : url('shopgfx/rb.gif');\">&nbsp;</td>\n";
	}
        echo "</tr></table>\n";        
}

?>

